Accessibility Skip to content

HDX - Botnet Attacks

Vulnerability Summary

Polycom HDX endpoints that are running software versions older than 3.1.13 contain security vulnerabilities that have been previously listed on the Polycom Security Center. These security vulnerabilities may render HDX endpoints vulnerable to takeover by a botnet.

A botnet is a network of computer systems that have been infected with malicious software and controlled as a group without the systems owners’ knowledge. Currently Polycom HDX endpoints can be affected by Yowai, Hades and Bushido Botnets.  

 

Published

Last Update: 3/7/2022
Initial Public Release: 2/20/2019
Advisory ID:  PLYTV19-02

Product Affected
PRODUCTS FIRMWARE FIX
HDX 4000 Prior to 3.1.13 3.1.13 and above
HDX 6000

Prior to 3.1.13

3.1.13 and above
HDX 7000

Prior to 3.1.13

3.1.13 and above
HDX 8000

Prior to 3.1.13

3.1.13 and above
HDX 9000

Prior to 3.1.13

3.1.13 and above
Solution

Update HDX endpoints to software version 3.1.13, which fixes known vulnerabilities and protects against botnets and other infections. You can download version 3.1.13 from Poly Support

To determine if an HDX is infected with a botnet, or has been exploited by known vulnerabilities in older versions of HDX software, perform the following steps:

  • Login to the HDX web UI
  • Go to the “diagnostics” tab
  • Click on “download logs”
  • Click on “download support information package”
  • Your browser will download a file named “polycom_info...tgz”.
  • Uncompress this file, this will result in several files whose names start with “messages”
  • Examine these files for the occurrence of this string: ${IFS} (without spaces)

If ${IFS} appears in any log files, the HDX has been exploited by a known vulnerability in old HDX software, and the HDX should be factory reset and updated to 3.1.13 as soon as possible.

 

Workaround

Poly recommends keeping the HDX endpoint’s software up to date.

In addition, Poly recommends following standard best practices for Unified Communications, as detailed in our best practices paper.

Contact

Any customer using an affected system who is concerned about this vulnerability within their deployment should contact Poly Technical Support(888) 248-4143, (916) 928-7561, or visit the Poly Support Site.

 

RECOGNITION

Poly would like to thank WootCloud for reporting security vulnerabilities to us and for their coordinated disclosure.

Revision History
VERSION DATE DESCRIPTION
1.0 2/20/2019 Initial Release
2.0 3/7/2022 Format Changes

©2022 Plantronics, Inc. All rights reserved.

Trademarks
Poly, the propeller design, and the Poly logo are trademarks of Plantronics, Inc.  All other trademarks are property of their respective owners. No portion hereof may be reproduced or transmitted in any form or by any means, for any purpose other than the recipient's personal use, without the express written permission of Poly.

Disclaimer
While Poly uses reasonable efforts to include accurate and up-to-date information in this document, Poly makes no warranties or representations as to its accuracy. Poly assumes no liability or responsibility for any typographical errors, out of date information, or any errors or omissions in the content of this document. Poly reserves the right to change or update this document at any time. Individuals are solely responsible for verifying that they have and are using the most recent Technical Bulletin. 

Limitation of Liability
Poly and/or its respective suppliers make no representations about the suitability of the information contained in this document for any purpose. Information is provided "as is" without warranty of any kind and is subject to change without notice. The entire risk arising out of its use remains with the recipient. In no event shall Poly and/or its respective suppliers be liable for any direct, consequential, incidental, special, punitive, or other damages whatsoever (including without limitation, damages for loss of business profits, business interruption, or loss of business information), even if Poly has been advised of the possibility of such damages.